| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
ODGraphicsDynamicImageItem Class Reference

`#include <odgraphicsitem.h>`

Inheritance diagram for ODGraphicsDynamicImageItem:
[legend]

## Public Member Functions
| ODGraphicsDynamicImageItem ()
QRectF | boundingRect () const override
bool | isSnapshot () const
void | paint (QPainter *, const QStyleOptionGraphicsItem *, QWidget *) override
void | setImage (bool isdynamic, const QImage &, const QRectF &)
int | type () const override
bool | updateResolution (const QPainter *)
const QSize & | wantedScreenSize () const
const QRectF & | wantedWorldRect () const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static bool | isQPrinter (QPaintDevice *)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Public Attributes
Notifier< ODGraphicsDynamicImageItem > | wantsData

## Protected Member Functions
void | mouseMoveEvent (QGraphicsSceneMouseEvent *) override

## Protected Attributes
QImage | baseimage_
PtrMan< QPixmap > | basepixmap_
bool | baserev_ [2]
QRectF | bbox_
QImage | dynamicimage_
QRectF | dynamicimagebbox_
PtrMan< QPixmap > | dynamicpixmap_
QRectF | dynamicpixmapbbox_
bool | dynamicrev_ [2]
QWaitCondition | imagecond_
QMutex | imagelock_
bool | issnapshot_ = false
bool | updatebasepixmap_ = false
bool | updatedynpixmap_ = false
QSize | wantedscreensz_
QRectF | wantedwr_

## Constructor & Destructor Documentation

## ◆ ODGraphicsDynamicImageItem()

ODGraphicsDynamicImageItem::ODGraphicsDynamicImageItem | ( |  | ) |

## Member Function Documentation

## ◆ boundingRect()

QRectF ODGraphicsDynamicImageItem::boundingRect | ( |  | ) | const
| inline override

## ◆ isQPrinter()

static bool ODGraphicsDynamicImageItem::isQPrinter | ( | QPaintDevice * |  | ) |
| static

## ◆ isSnapshot()

bool ODGraphicsDynamicImageItem::isSnapshot | ( |  | ) | const

If set during a wantsData trigger, the delivered image must be of same size as requested image.

## ◆ mouseMoveEvent()

void ODGraphicsDynamicImageItem::mouseMoveEvent | ( | QGraphicsSceneMouseEvent * |  | ) |
| override protected

## ◆ paint()

void ODGraphicsDynamicImageItem::paint | ( | QPainter * | ,
|  | const QStyleOptionGraphicsItem * | ,
|  | QWidget * | )
| override

## ◆ setImage()

void ODGraphicsDynamicImageItem::setImage | ( | bool | isdynamic,
|  | const QImage & | ,
|  | const QRectF & | )

## ◆ type()

int ODGraphicsDynamicImageItem::type | ( |  | ) | const
| inline override

## ◆ updateResolution()

bool ODGraphicsDynamicImageItem::updateResolution | ( | const QPainter * |  | ) |

## ◆ wantedScreenSize()

const QSize & ODGraphicsDynamicImageItem::wantedScreenSize | ( |  | ) | const

## ◆ wantedWorldRect()

const QRectF & ODGraphicsDynamicImageItem::wantedWorldRect | ( |  | ) | const

## Member Data Documentation

## ◆ baseimage_

QImage ODGraphicsDynamicImageItem::baseimage_
| protected

## ◆ basepixmap_

PtrMan<QPixmap> ODGraphicsDynamicImageItem::basepixmap_
| protected

## ◆ baserev_

bool ODGraphicsDynamicImageItem::baserev_[2]
| protected

## ◆ bbox_

QRectF ODGraphicsDynamicImageItem::bbox_
| protected

## ◆ dynamicimage_

QImage ODGraphicsDynamicImageItem::dynamicimage_
| protected

## ◆ dynamicimagebbox_

QRectF ODGraphicsDynamicImageItem::dynamicimagebbox_
| protected

## ◆ dynamicpixmap_

PtrMan<QPixmap> ODGraphicsDynamicImageItem::dynamicpixmap_
| protected

## ◆ dynamicpixmapbbox_

QRectF ODGraphicsDynamicImageItem::dynamicpixmapbbox_
| protected

## ◆ dynamicrev_

bool ODGraphicsDynamicImageItem::dynamicrev_[2]
| protected

## ◆ imagecond_

QWaitCondition ODGraphicsDynamicImageItem::imagecond_
| protected

## ◆ imagelock_

QMutex ODGraphicsDynamicImageItem::imagelock_
| protected

## ◆ issnapshot_

bool ODGraphicsDynamicImageItem::issnapshot_ = false
| protected

## ◆ updatebasepixmap_

bool ODGraphicsDynamicImageItem::updatebasepixmap_ = false
| protected

## ◆ updatedynpixmap_

bool ODGraphicsDynamicImageItem::updatedynpixmap_ = false
| protected

## ◆ wantedscreensz_

QSize ODGraphicsDynamicImageItem::wantedscreensz_
| protected

## ◆ wantedwr_

QRectF ODGraphicsDynamicImageItem::wantedwr_
| protected

## ◆ wantsData

Notifier<ODGraphicsDynamicImageItem> ODGraphicsDynamicImageItem::wantsData

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025